Appearance
Parameters
Query parameters
page integerThe page number to retrieve. The first page is 1. Cannot be less than 1.
Default value:
1pageSize integerThe size of the pages to retrieve. The default is 10. Cannot be less than 1 and larger than 100.
Default value:
10keywords stringOptional keywords (whitespace separated) to search for.
viskanEmployeesOnly booleanIndicates that only Viskan employees should be returned.
Default value:
falseblocked enumFilter by the blocked status.
Enum:
ALLBLOCKEDUNBLOCKEDDefault value:
UNBLOCKEDtenantId stringOptional tenant identifier; returns only users with active access to that tenant.
Response
The response contains a set of search hits.
JSON
[
{
"userId": "08ce1500-a817-40e8-8e5a-36d3cef125df",
"centralUserId": 12345,
"emailAddress": "john.doe@viskan.com",
"profilePictureURL": "https://profilepicture.connect.visma.com/v1.0/08ce1500-a817-40e8-8e5a-36d3cef125df?client_id=viskan",
"firstName": "John",
"lastName": "Doe",
"blocked": false
}
]
| Error code | Description |
|---|---|
invalid-page | The given page is invalid. |
invalid-page-size | The given page size is invalid. |